[+] armv7l - problem z php7.3

Konfiguracja serwerów, usług, itp.
Doom
Posty: 6
Rejestracja: 01 stycznia 2014, 04:52

[+] armv7l - problem z php7.3

Post autor: Doom » 21 maja 2020, 20:25

Witam,

mam problem z php7.3 i uruchomieniem modułów, apache cały czas krzyczy że ma problemy:

Kod: Zaznacz cały

 PHP Fatal error:  Uncaught RuntimeException: PHP's json extension is required to use Monolog's NormalizerFormatter 
A moduł jest uruchomiony:

Kod: Zaznacz cały

root@logger:~# php -i | grep json
/etc/php/7.3/cli/conf.d/20-json.ini,
json
json support => enabled
json version => 1.7.0
reinstalowałem, próbowałem:

Kod: Zaznacz cały

 phpenmod json 


i nic.

Sprawdzałem tez czy mam uruchomioną poprawną wersję PHP:

Kod: Zaznacz cały

PHP Version 7.3.14-1~deb10u1
System 	Linux logger 3.10.107-BPI-M2U-Kernel #1 SMP Thu Aug 24 08:01:24 CST 2017 armv7l
Build Date 	Feb 16 2020 15:07:23
Server API 	Apache 2.0 Handler
Virtual Directory Support 	disabled
Configuration File (php.ini) Path 	/etc/php/7.3/apache2
Loaded Configuration File 	/etc/php/7.3/apache2/php.ini
Scan this dir for additional .ini files 	/etc/php/7.3/apache2/conf.d 
Jest PHP 7.3.14-1 więc raczej ok.

co jeszcze mogę zrobić? Brakuje mi już pomysłów...
Ostatnio zmieniony 24 maja 2020, 10:07 przez Doom, łącznie zmieniany 1 raz.

Awatar użytkownika
LordRuthwen
Moderator
Posty: 2148
Rejestracja: 18 września 2009, 21:45
Lokalizacja: klikash?

Re: armv7l - problem z php7.3

Post autor: LordRuthwen » 22 maja 2020, 06:39

A co zwraca:

Kod: Zaznacz cały

php -m

Doom
Posty: 6
Rejestracja: 01 stycznia 2014, 04:52

Re: armv7l - problem z php7.3

Post autor: Doom » 22 maja 2020, 16:08

Też wygląda ok:

Kod: Zaznacz cały

php -m
[PHP Modules]
apcu
calendar
Core
ctype
curl
date
dom
exif
fileinfo
filter
ftp
gd
gettext
hash
iconv
imagick
imap
intl
json
ldap
libxml
mbstring
memcache
mysqli
mysqlnd
openssl
pcntl
pcre
PDO
pdo_mysql
Phar
posix
pspell
readline
recode
Reflection
session
shmop
SimpleXML
sockets
sodium
SPL
standard
sysvmsg
sysvsem
sysvshm
tidy
tokenizer
wddx
xml
xmlreader
xmlrpc
xmlwriter
xsl
Zend OPcache
zip
zlib

[Zend Modules]
Zend OPcache

Awatar użytkownika
Yampress
Administrator
Posty: 6245
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: armv7l - problem z php7.3

Post autor: Yampress » 22 maja 2020, 16:49

A skrypt php , który uruchamiasz jakiej wersji php wymaga?

Doom
Posty: 6
Rejestracja: 01 stycznia 2014, 04:52

Re: armv7l - problem z php7.3

Post autor: Doom » 22 maja 2020, 20:02

Według autora/autorów skryptu php musi być w wersji 5.6 lub nowszej, czytałem że był testowany na php włącznie z 7.4. Skrypt to nic specjalnego, GLPI do obsługi supportu w wersji 9.4

Edit:

Tak czy inaczej spróbuję zejść z wersją niżej, zobaczę czy ruszy na 7.2 lub 7.1

Doom
Posty: 6
Rejestracja: 01 stycznia 2014, 04:52

Re: armv7l - problem z php7.3

Post autor: Doom » 23 maja 2020, 07:27

Po instalacji PHP 7.4 wszystko zaczęło działać poprawnie. Wygląda na problem z kompatybilnością co jest dziwne, są nawet tutoriale z instalacji glpi na Debianie 10 z PHP 7.3.

Awatar użytkownika
Yampress
Administrator
Posty: 6245
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: armv7l - problem z php7.3

Post autor: Yampress » 24 maja 2020, 09:19

Oznacz więc temat jako rozwiązany
viewtopic.php?f=15&t=34136

Doom
Posty: 6
Rejestracja: 01 stycznia 2014, 04:52

Re: [+] armv7l - problem z php7.3

Post autor: Doom » 24 maja 2020, 10:07

Gotowe, dzięki za naprowadzenie na rozwiązanie.

Zablokowany